#pragma once
#include <string>
#include "murmurhash3.cuh"


constexpr uint32_t lruSeed = 0X12fb73ac;

template<typename T>
__device__ size_t getHash(const T& obj){
    size_t hash;
    MurmurHash3_x86_32(reinterpret_cast<const void*>(&obj),sizeof(T),lruSeed,reinterpret_cast<void*>(&hash));

    return hash;
}


